If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent browser/base/content/test/webrtc/browser_devices_get_user_media_unprompted_access_tear_off_tab.js | Test timed out -

NEW
Assigned to

Status

()

Core
WebRTC
P4
normal
Rank:
30
8 months ago
12 hours ago

People

(Reporter: Treeherder Bug Filer, Assigned: mchiang)

Tracking

({intermittent-failure, leave-open})

unspecified
intermittent-failure, leave-open
Points:
---

Firefox Tracking Flags

(firefox52 unaffected, firefox53 disabled, firefox54 disabled)

Details

(Whiteboard: [stockwell disabled])

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(2 attachments, 1 obsolete attachment)

(Reporter)

Description

8 months ago
treeherder
Filed by: philringnalda [at] gmail.com

https://treeherder.mozilla.org/logviewer.html#?job_id=72791038&repo=autoland

https://archive.mozilla.org/pub/firefox/tinderbox-builds/autoland-win64-pgo/1485571207/autoland_win8_64_test_pgo-mochitest-e10s-browser-chrome-2-bm126-tests1-windows-build153.txt.gz
Duplicate of this bug: 1334754

Comment 2

8 months ago
9 failures in 749 pushes (0.012 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 5
* autoland: 2
* mozilla-central: 1
* mozilla-aurora: 1

Platform breakdown:
* windows8-64: 9

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-01-23&endday=2017-01-29&tree=all
Blocks: 1332516
status-firefox52: --- → unaffected
status-firefox53: --- → affected
status-firefox54: --- → affected
Flags: needinfo?(mchiang)

Updated

8 months ago
backlog: --- → tech-debt
Rank: 30
Priority: -- → P3

Comment 3

8 months ago
24 failures in 115 pushes (0.209 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* mozilla-aurora: 12
* mozilla-inbound: 6
* autoland: 4
* try: 1
* graphics: 1

Platform breakdown:
* windows8-64: 24

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-01-30&endday=2017-01-30&tree=all

Comment 4

8 months ago
21 failures in 119 pushes (0.176 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* mozilla-inbound: 8
* autoland: 6
* mozilla-aurora: 5
* mozilla-central: 1
* graphics: 1

Platform breakdown:
* windows8-64: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-01-31&endday=2017-01-31&tree=all

Comment 5

8 months ago
19 failures in 135 pushes (0.141 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* autoland: 7
* mozilla-aurora: 6
* mozilla-inbound: 4
* mozilla-central: 1
* graphics: 1

Platform breakdown:
* windows8-64: 19

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-01&endday=2017-02-01&tree=all
(Assignee)

Updated

8 months ago
Assignee: nobody → mchiang
Flags: needinfo?(mchiang)

Comment 6

8 months ago
15 failures in 149 pushes (0.101 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* mozilla-aurora: 10
* mozilla-inbound: 4
* graphics: 1

Platform breakdown:
* windows8-64: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-02&endday=2017-02-02&tree=all

Comment 7

8 months ago
123 failures in 733 pushes (0.168 failures/push) were associated with this bug in the last 7 days. 

This is the #3 most frequent failure this week. 

** This failure happened more than 50 times this week! Resolving this bug is a high priority. **

Repository breakdown:
* mozilla-aurora: 47
* mozilla-inbound: 31
* autoland: 31
* mozilla-central: 6
* try: 4
* graphics: 4

Platform breakdown:
* windows8-64: 123

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-01-30&endday=2017-02-05&tree=all
(Assignee)

Comment 8

8 months ago
Florian,

From the log[1], I found the callback eventCallback[2] is never called after we call chromeDoc.defaultView.PopupNotifications.show[3]. Then mochitest timed out while waiting for the event getUserMedia:response:allow. Any idea?

[1] https://treeherder.mozilla.org/logviewer.html#?job_id=74669822&repo=try&lineNumber=9200

[2] http://searchfox.org/mozilla-central/rev/b1aadb3572eaf7d2c70e19a2ba5413809d9ac698/browser/modules/webrtcUI.jsm#460

[3] http://searchfox.org/mozilla-central/rev/b1aadb3572eaf7d2c70e19a2ba5413809d9ac698/browser/modules/webrtcUI.jsm#818-823
Flags: needinfo?(florian)

Comment 9

8 months ago
29 failures in 117 pushes (0.248 failures/push) were associated with this bug yesterday.  

Repository breakdown:
* autoland: 8
* mozilla-inbound: 7
* mozilla-aurora: 7
* mozilla-central: 4
* graphics: 3

Platform breakdown:
* windows8-64: 29

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-06&endday=2017-02-06&tree=all
(In reply to Munro Mengjue Chiang [:mchiang] from comment #8)
> Florian,
> 
> From the log[1], I found the callback eventCallback[2] is never called after
> we call chromeDoc.defaultView.PopupNotifications.show[3].

I'm not sure that's relevant.

> Then mochitest
> timed out while waiting for the event getUserMedia:response:allow. Any idea?

How do you know if we timeout waiting for "getUserMedia:response:allow", or "recording-device-events", or both? (But I would also guess it's getUserMedia:response:allow)

I wonder if it would be possible that in the case where we don't show the prompt, the "getUserMedia:response:allow" notification would sometime be sent before we return from 'yield promiseObserverCalled("getUserMedia:request")' (which requires an exchange of asynchronous messages between the parent and child processes).

Seeing that this failure started happening after we resolved bug 1332516, I'm tempted to say there was an issue with that patch.

I would revert the patch from bug 1332516 and try this:

promise = promiseObserverCalled("getUserMedia:response:allow");
yield promiseRequestDevice(true, true, null, null, win.gBrowser.selectedBrowser);
yield promiseObserverCalled("getUserMedia:request");
yield promiseNoPopupNotification("webRTC-shareDevices");
yield promise;
yield expectObserverCalled("recording-device-events");


For your next try run, please limit the tests to browser/base/content/test/webrtc using:
 --try-test-paths browser-chrome:browser/base/content/test/webrtc
Flags: needinfo?(florian)

Comment 11

8 months ago
17 failures in 153 pushes (0.111 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* autoland: 8
* mozilla-aurora: 4
* try: 2
* graphics: 2
* mozilla-central: 1

Platform breakdown:
* windows8-64: 17

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-09&endday=2017-02-09&tree=all
(Assignee)

Comment 12

8 months ago
(In reply to Florian Quèze [:florian] [:flo] from comment #10)
> How do you know if we timeout waiting for "getUserMedia:response:allow", or
> "recording-device-events", or both? (But I would also guess it's
> getUserMedia:response:allow)

We are waiting for both.
I put some logs [1] to debug this issue.
In normal case, we got these logs

20:02:40     INFO - Munro: MediaManager call getUserMedia:request
20:02:40     INFO - console.log: Munro: prompt 1
20:02:40     INFO - console.log: Munro: eventCallback: aTopic: showing
20:02:40     INFO - console.log: Munro: aRequest.secure: true
20:02:40     INFO - console.log: Munro: there is an active camera
20:02:40     INFO - console.log: Munro: there is an active mic
20:02:40     INFO - console.log: Munro: send webrtc:Allow
20:02:40     INFO - console.log: Munro: eventCallback: aTopic: removed

In the abnormal case, we only got
20:02:49     INFO - Munro: MediaManager call getUserMedia:request
20:02:49     INFO - console.log: Munro: prompt 1

Without sending webrtc:Allow, the test definitely would fail.

> I wonder if it would be possible that in the case where we don't show the
> prompt, the "getUserMedia:response:allow" notification would sometime be
> sent before we return from 'yield
> promiseObserverCalled("getUserMedia:request")' (which requires an exchange
> of asynchronous messages between the parent and child processes).
> 
> Seeing that this failure started happening after we resolved bug 1332516,
> I'm tempted to say there was an issue with that patch.
> 
> I would revert the patch from bug 1332516 and try this:
> 
> promise = promiseObserverCalled("getUserMedia:response:allow");
> yield promiseRequestDevice(true, true, null, null,
> win.gBrowser.selectedBrowser);
> yield promiseObserverCalled("getUserMedia:request");
> yield promiseNoPopupNotification("webRTC-shareDevices");
> yield promise;
> yield expectObserverCalled("recording-device-events");
After modifying the mochitest, the test result [2] still shows the same symptom.

[1] https://hg.mozilla.org/try/rev/4987c35ea2abc9651cf47d4188c8caac3a319de9
[2] https://treeherder.mozilla.org/#/jobs?repo=try&revision=4987c35ea2abc9651cf47d4188c8caac3a319de9&selectedJob=76197470
(In reply to Munro Mengjue Chiang [:mchiang] from comment #12)

> After modifying the mochitest, the test result [2] still shows the same
> symptom.

The results seem very different to me.

On your previous try push, you had 7 failures out of 20 runs without e10s, and 0 failure with e10s (not completely sure my count is right, because there's the browser_verify_content_about_newtab.js failure that adds noise to these results).

On the new push, you have 0 failure out of 107 runs without e10s, and 1 failure out of 147 runs with e10s.

So that's 1 failure out of 250+ runs; probably below the threshold where we would start investing time in debugging.
Your logs are difficult to read because you used console.log instead of info(), so your logging wasn't buffered, while the rest of the test output was buffered. You may want to use SimpleTest.requestCompleteLog()

But indeed, the popupnotification doesn't seem to show up in the one failure that remains. One possible reason could be that the window is not focused (yet?).

When looking at other tests that call replaceTabWithWindow, I found:
http://searchfox.org/mozilla-central/rev/afcf40f3eafd895611a839017730debb58a342a6/browser/base/content/test/plugins/browser_CTP_drag_drop.js#62 doing a promiseWaitForFocus call before continuing. This function is defined at http://searchfox.org/mozilla-central/rev/afcf40f3eafd895611a839017730debb58a342a6/browser/base/content/test/plugins/head.js#310

Some popupnotification tests do a waitForWindowReadyForPopupNotifications call:
http://searchfox.org/mozilla-central/source/browser/base/content/test/popupNotifications/browser_popupNotification_4.js#143
That's defined at http://searchfox.org/mozilla-central/rev/afcf40f3eafd895611a839017730debb58a342a6/browser/base/content/test/popupNotifications/head.js#34 and also waits for the window to be selected.

Comment 15

8 months ago
21 failures in 152 pushes (0.138 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* mozilla-inbound: 15
* autoland: 5
* mozilla-central: 1

Platform breakdown:
* windows8-64: 21

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-10&endday=2017-02-10&tree=all

Comment 16

8 months ago
142 failures in 836 pushes (0.17 failures/push) were associated with this bug in the last 7 days. 

This is the #11 most frequent failure this week. 

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **

Repository breakdown:
* autoland: 54
* mozilla-inbound: 38
* mozilla-aurora: 20
* mozilla-central: 17
* graphics: 8
* try: 5

Platform breakdown:
* windows8-64: 142

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-06&endday=2017-02-12&tree=all
(Assignee)

Comment 17

7 months ago
https://treeherder.mozilla.org/#/jobs?repo=try&revision=46ca0db4c1504b39d009360ab5504e94c3316463
Comment hidden (mozreview-request)

Comment 19

7 months ago
mozreview-review
Comment on attachment 8836586 [details]
Bug 1334752 - Fix Intermittent browser_devices_get_user_media_unprompted_access_tear_off_tab.js;

https://reviewboard.mozilla.org/r/111982/#review113262

Straight forward, and try is green, so let's land this and see what happens :-), r=me.
Attachment #8836586 - Flags: review?(florian) → review+
(Assignee)

Updated

7 months ago
Keywords: checkin-needed

Comment 20

7 months ago
Pushed by cbook@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/3a166ded7d98
Fix Intermittent browser_devices_get_user_media_unprompted_access_tear_off_tab.js; r=florian
Keywords: checkin-needed
I had to back this out for turning the test permafail on OSX debug like https://treeherder.mozilla.org/logviewer.html#?job_id=76891577&repo=autoland

https://hg.mozilla.org/integration/autoland/rev/24a43cd8a5684e613d641eae424ca03365e7faec

https://treeherder.mozilla.org/#/jobs?repo=autoland&fromchange=8e075d90bf3133576a275dd2f28a4a83ce375979&filter-searchStr=10.%20m(bc3%20debug&selectedJob=76891577&tochange=24a43cd8a5684e613d641eae424ca03365e7faec
Flags: needinfo?(mchiang)

Comment 22

7 months ago
23 failures in 114 pushes (0.202 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* autoland: 19
* mozilla-inbound: 3
* mozilla-central: 1

Platform breakdown:
* osx-10-10: 18
* windows8-64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-13&endday=2017-02-13&tree=all
(Assignee)

Updated

7 months ago
Flags: needinfo?(mchiang)

Comment 23

7 months ago
16 failures in 143 pushes (0.112 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* autoland: 9
* mozilla-inbound: 5
* mozilla-central: 2

Platform breakdown:
* windows8-64: 16

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-15&endday=2017-02-15&tree=all

Comment 24

7 months ago
34 failures in 151 pushes (0.225 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* autoland: 19
* mozilla-inbound: 9
* mozilla-aurora: 3
* mozilla-central: 2
* try: 1

Platform breakdown:
* windows8-64: 34

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-16&endday=2017-02-16&tree=all

Comment 25

7 months ago
107 failures in 833 pushes (0.128 failures/push) were associated with this bug in the last 7 days. 

This is the #19 most frequent failure this week. 

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **

Repository breakdown:
* autoland: 59
* mozilla-inbound: 28
* mozilla-central: 9
* try: 4
* mozilla-aurora: 4
* graphics: 3

Platform breakdown:
* windows8-64: 89
* osx-10-10: 18

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-13&endday=2017-02-19&tree=all

Comment 26

7 months ago
36 failures in 173 pushes (0.208 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* mozilla-inbound: 15
* mozilla-central: 8
* autoland: 8
* mozilla-aurora: 4
* graphics: 1

Platform breakdown:
* windows8-64: 36

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-22&endday=2017-02-22&tree=all
Created attachment 8840424 [details] [diff] [review]
temporarily disable test win8

to reduce the impact on developers lets disable this on win8 for now until pto is over and we can do another try here.
Attachment #8840424 - Flags: review?(gbrown)
Keywords: leave-open
Comment on attachment 8840424 [details] [diff] [review]
temporarily disable test win8

This is disabling an unrelated test.
Attachment #8840424 - Flags: review?(gbrown) → review-
oh, I see the flaws of my error- similar names but I missed the unprompted_access part of the test :(
Created attachment 8840559 [details] [diff] [review]
temporarily disable test win8

ok, this is for the real test.
Attachment #8840424 - Attachment is obsolete: true
Attachment #8840559 - Flags: review?(florian)
Attachment #8840559 - Flags: review?(florian) → review+

Comment 31

7 months ago
33 failures in 146 pushes (0.226 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* mozilla-inbound: 11
* mozilla-aurora: 7
* autoland: 7
* try: 3
* mozilla-central: 3
* graphics: 2

Platform breakdown:
* windows8-64: 33

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-23&endday=2017-02-23&tree=all

Comment 32

7 months ago
Pushed by jmaher@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/e4f60215a489
Intermittent browser/base/content/test/webrtc/browser_devices_get_user_media_unprompted_access_tear_off_tab.js. r=gbrown

Comment 33

7 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/e4f60215a489
Whiteboard: [stockwell disabled]

Comment 34

7 months ago
100 failures in 812 pushes (0.123 failures/push) were associated with this bug in the last 7 days. 

This is the #14 most frequent failure this week. 

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **

Repository breakdown:
* mozilla-inbound: 37
* autoland: 22
* mozilla-aurora: 19
* mozilla-central: 12
* try: 5
* graphics: 5

Platform breakdown:
* windows8-64: 100

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-20&endday=2017-02-26&tree=all

Comment 35

7 months ago
uplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/136a88ba8ecb
status-firefox53: affected → disabled
status-firefox54: affected → disabled

Comment 36

7 months ago
10 failures in 783 pushes (0.013 failures/push) were associated with this bug in the last 7 days.  
Repository breakdown:
* mozilla-aurora: 10

Platform breakdown:
* windows8-64: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-02-27&endday=2017-03-05&tree=all

Comment 37

2 months ago
1 failures in 822 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 38

2 months ago
2 failures in 888 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2

Platform breakdown:
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 39

a month ago
9 failures in 949 pushes (0.009 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 7
* autoland: 2

Platform breakdown:
* linux32: 5
* linux64: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-08-14&endday=2017-08-20&tree=all

Comment 40

29 days ago
4 failures in 908 pushes (0.004 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-inbound: 1

Platform breakdown:
* linux32-stylo: 2
* linux64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 41

22 days ago
12 failures in 939 pushes (0.013 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 6
* try: 5
* mozilla-inbound: 1

Platform breakdown:
* linux32: 6
* linux64: 3
* linux64-stylo: 2
* linux32-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-08-28&endday=2017-09-03&tree=all

Comment 42

15 days ago
11 failures in 924 pushes (0.012 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 10
* mozilla-inbound: 1

Platform breakdown:
* linux64: 5
* linux32: 3
* linux64-stylo: 2
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-09-04&endday=2017-09-10&tree=all
Mass change P3->P4 to align with new Mozilla triage process.
Priority: P3 → P4
7 failures in 1032 pushes (0.007 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 3
* autoland: 3
* mozilla-inbound: 1

Platform breakdown:
* linux32: 3
* windows7-32-stylo-disabled: 1
* osx-10-10: 1
* linux64-stylo-disabled: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-09-11&endday=2017-09-17&tree=all

Comment 45

12 hours ago
18 failures in 943 pushes (0.019 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 7
* mozilla-beta: 4
* mozilla-central: 3
* try: 2
* mozilla-inbound: 2

Platform breakdown:
* linux32-stylo-disabled: 6
* linux64: 4
* linux32: 3
* windows7-32-stylo-disabled: 2
* windows7-32: 1
* osx-10-10: 1
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1334752&startday=2017-09-18&endday=2017-09-24&tree=all
You need to log in before you can comment on or make changes to this bug.